>From 92076d9a97dca6cf36fb767281a7658419680a89 Mon Sep 17 00:00:00 2001
From: root <root@testink.(none)>
Date: Mon, 1 Aug 2011 14:03:01 +0200
Subject: [PATCH] add supprt for 82545GM

---
 flashchips.c |    2 +-
 nicintel.c   |    9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/flashchips.c b/flashchips.c
index a040e8c..3459ddc 100644
--- a/flashchips.c
+++ b/flashchips.c
@@ -6146,7 +6146,7 @@ const struct flashchip flashchips[] = {
 		.total_size	= 256,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
-		.tested		= TEST_UNTESTED,
+		.tested		= TEST_OK_PROBE,
 		.probe		= probe_jedec,
 		.probe_timing	= 1,			/* 150 ns */
 		.block_erasers	=
diff --git a/nicintel.c b/nicintel.c
index 5410523..26b08d5 100644
--- a/nicintel.c
+++ b/nicintel.c
@@ -29,14 +29,15 @@ uint8_t *nicintel_control_bar;
 const struct pcidev_status nics_intel[] = {
 	{PCI_VENDOR_ID_INTEL, 0x1209, NT, "Intel", "8255xER/82551IT Fast Ethernet Controller"},
 	{PCI_VENDOR_ID_INTEL, 0x1229, NT, "Intel", "82557/8/9/0/1 Ethernet Pro 100"},
+	{PCI_VENDOR_ID_INTEL, 0x1026, NT, "Intel", "82545GM Gigabit Ethernet Controller (copper)"},
+	{PCI_VENDOR_ID_INTEL, 0x1027, NT, "Intel", "82545GM Gigabit Ethernet Controller (fiber)"},
+	{PCI_VENDOR_ID_INTEL, 0x1028, NT, "Intel", "82545GM Gigabit Ethernet Controller (SerDes)"},
 
 	{},
 };
 
-/* Arbitrary limit, taken from the datasheet I just had lying around.
- * 128 kByte on the 82559 device. Or not. Depends on whom you ask.
- */
-#define NICINTEL_MEMMAP_SIZE (128 * 1024)
+/* Maximum size is 512 kB / 1 Mb according to Intel 317453 (8254x datasheet). */
+#define NICINTEL_MEMMAP_SIZE (512 * 1024)
 #define NICINTEL_MEMMAP_MASK (NICINTEL_MEMMAP_SIZE - 1)
 
 #define NICINTEL_CONTROL_MEMMAP_SIZE	0x10 
-- 
1.7.4.1

